#COMPILE EXE "s86_heap_string.exe"
' Sample: Dynamic string memory
FUNCTION PBMAIN() AS LONG
    DIM s AS STRING
    s = "Short"
    PRINT "String: "; s; " LEN="; LEN(s)
    s = s + " and now much longer text added"
    PRINT "After append: "; s
    PRINT "New LEN ="; LEN(s)
    FUNCTION = 0
END FUNCTION
